%bcond_with rhel4hack

%kmdl ipw2200

Summary: Intel® PRO/Wireless 2200 Driver for Linux
Name: ipw2200
Version: 1.2.0
Release: 45.2.0.1%{?dist}
License: GPL2
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ipw2200/%{name}-%{version}.tgz
Patch0: ipw2200-1.1.4-rhel4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ieee80211-devel >= 1.1.13
%kmdl_parentdependencies

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for the Intel® PRO/Wireless 2200
Group: System Environment/Kernel
Requires: ipw2200-firmware = 3.0
Requires: %{kmdl_nameof ieee80211} >= 1.1.13

%description -n %kmdl_name
This package contains kernel drivers for the Intel® PRO/Wireless 2200.

%kmdl_desc

%prep
%setup -q
%{?with_rhel4hack:%patch0 -p1}
grep -rl '<net/ieee80211.h>' . | xargs perl -pi -e's,<net/ieee80211.h>,"net/ieee80211.h",'
perl -pi -e's,/sbin/depmod,:,g' Makefile

# Fake build into believing this kernel has no ipw2200
# We do this so that the ipw2200 Makefile sets its own defaults
perl -pi -e's,^(ifndef CONFIG_IPW2200),$1_off,' Makefile

%build

%if %{kmdl_userland}
%else

%kmdl_config
make KSRC=%{kmdl_kernelsrcdir} IEEE80211_INC=%{_includedir}/ieee80211 CC="gcc -I%{_includedir}/ieee80211"

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw2200
make KSRC=%{kmdl_kernelsrcdir} IEEE80211_INC=%{_includedir}/ieee80211 CC="gcc -I%{_includedir}/ieee80211" \
  KMISC=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw install

if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw/
fi

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README* LICENSE ISSUES
#%{_sbindir}/

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/net
%dir %{kmdl_moduledir}/drivers/net/wireless
%{kmdl_moduledir}/drivers/net/wireless/ipw

%endif


%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.0-45.2.0.1
- Fix not utf-8 specfile entries.

* Fri Sep 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.0-45
- Update to 1.2.0.

* Mon Aug 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.4-44
- Update to 1.1.4.

* Thu Jun 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.3.

* Fri Mar 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.2.

* Wed Mar  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.1.

* Mon Feb 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0.

* Tue Feb 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- update to 1.0.13.

* Fri Feb 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.12.

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.11.

* Tue Jan 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.10.

* Sun Jan  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Sun Oct 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Sun Sep 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.6.

* Tue Jul 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fix for 2.6.12 builds.

* Fri Jun 10 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Force Makefile to use its own defaults.

* Thu May 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.4.

* Tue Apr 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.3.

* Fri Mar 25 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Fri Feb 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.1.

* Tue Feb  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Sat Jan 29 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.22.

* Wed Jan 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.21.

* Tue Dec 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix firmware dependency (Mark Arrasmith <arrasmith@math.wichita.edu>).

* Tue Dec 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.19.

* Wed Dec 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.18.

* Sat Dec 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.17.

* Tue Dec  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.16.

* Thu Nov 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.15.

* Mon Nov 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.14.

* Thu Nov 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.13.

* Thu Oct 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.12.

* Fri Oct  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.11.

* Thu Sep 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.

* Wed Sep 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.

* Fri Sep 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.8.

* Sat Sep  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.

* Fri Sep  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.

* Thu Sep  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.5.

* Wed Aug 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.

* Fri Aug 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.3.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


